function [H]=HomogeneidadMDPond(img,E)
%Algoritmo Homogeneidad
% H = 1 - std (ponderada)
%Prametros de ENTRADA
%   img: imagen original
%   E: imagen segmentada
%Parametros de SALIDA
%   H:Homogeneidad total de la imagen
[fil,col]=size(img);
i1=1;
i2=1;
R1=[];
R2=[];
H1=0;
H2=0;
for f=1:fil
    for c=1:col
        if(E(f,c)==1)
            R1(i1)=img(f,c);
            i1=i1+1;
        else 
            R2(i2)=img(f,c);
            i2=i2+1;
        end
    end
end
H1=1-(mean(1-std(R1))+std(R1)) + mean(1-std(R1));
H2=1-(mean(1-std(R2))+std(R2)) + mean(1-std(R2));
w1=length(R1)/(fil*col);
w2=length(R2)/(fil*col);
H=(w1*H1+w2*H2);
end