function [H]=HomogeneidadMDPond2(img,E)
%Algoritmo Homogeneidad
%Funciona para imagenes segmentadas en tres regiones.
% H = 1 - std (ponderada)
%Prametros de ENTRADA
%   img: imagen
%   E: imagen segmentada.
%Parametros de SALIDA
%   H:Homogeneidad total de la imagen
[fil,col]=size(img);
i1=1;
i2=1;
i3=1;
R1=[];
R2=[];
R3=[];
H1=0;
H2=0;
H3=0;
for f=1:fil
    for c=1:col
        if(E(f,c)==1)
            R1(i1)=img(f,c);
            i1=i1+1;
        elseif (E(f,c)==2)
            R2(i2)=img(f,c);
            i2=i2+1;
        else
            R3(i3)=img(f,c);
            i3=i3+1;
        end
    end
end
H1=1-(mean(1-std(R1))+std(R1)) + mean(1-std(R1));
H2=1-(mean(1-std(R2))+std(R2)) + mean(1-std(R2));
H3=1-(mean(1-std(R3))+std(R3)) + mean(1-std(R3));
w1=length(R1)/(fil*col);
w2=length(R2)/(fil*col);
w3=length(R3)/(fil*col);
H=(w1*H1+w2*H2+w3*H3);
end