function [H]=HomogeneidadPond2(img,E)
%Algoritmo Homogeneidad
%Funciona para imagenes segmentadas en tres regiones.
% H = 1 - max + min (ponderada)
%Prametros de ENTRADA
%   img: imagen
%   E: Matriz con las etiquetas.
%Parametros de SALIDA
%   H:Homogeneidad total de la imagen
[fil,col]=size(img);
i1=1;
i2=1;
i3=1;
R1=[];
R2=[];
R3=[];
H1=0;
H2=0;
H3=0;
for f=1:fil
    for c=1:col
        if(E(f,c)==1)
%             sprintf('R1 %d',img(f,c))
            R1(i1)=img(f,c);
            i1=i1+1;
        elseif (E(f,c)==2)
%             sprintf('R2 %d',img(f,c))
            R2(i2)=img(f,c);
            i2=i2+1;
        else
%             sprintf('R3 %d',img(f,c))
            R3(i3)=img(f,c);
            i3=i3+1;
        end
    end
end
H1=1-max(R1)+min(R1);
H2=1-max(R2)+min(R2);
H3=1-max(R3)+min(R3);
w1=length(R1)/(fil*col);
w2=length(R2)/(fil*col);
w3=length(R3)/(fil*col);
H=(w1*H1+w2*H2+w3*H3);
end