function [seg]= FCMbea(img,c,m,e)
%Algoritmo FCM--> Fuzzy C-Mean.
%Prametros de ENTRADA
%   img: Imagen
%   c: numero de clusters
%   m: valor de fuzzificador
%   e: nmero maximo de iteraciones del programa

%Parametros de SALIDA
%   seg: Imagen segmentada
[fil,col]=size(img);
%(1)Inicializar la matriz de pertenencias
U=rand(fil,col,c);
suma=0;
for i=1:fil,
    for j=1:col,
        suma=sum(U(i,j,:));
        for k=1:c,
            U(i,j,k)=U(i,j,k)/suma;
        end
    end
end
V=zeros(1,c);
for t=1:e,
    for i=1:c,
        V(i)=sum(sum(U(:,:,i).^m.*img))/sum(sum(U(:,:,i).^m)); 
    end
    DE=zeros(fil,col,c);
    for i=1:c,  
        DE(:,:,i)=abs(img-V(i));
    end
    U=zeros(fil,col,c);
   for i=1:c
        for j=1:c
            U(:,:,i)=U(:,:,i)+(DE(:,:,i)./DE(:,:,j)).^(2/(m-1));
        end
        U(:,:,i)=U(:,:,i).^(-1);
   end
 end    

[maxi,seg]=max(U,[],3);
imshow(seg,[1 c])
end