function [seg,u]=Tizhoosh(img)
%Para imagenes segmentadas en dos zonas
%PARAMETROS DE ENTRADA
%   img: imagen 
%PARAMETROS DE SALIDA
%   seg:imagen segmentada
%   u: umbral

[counts,x]=imhist(img);
%Take alfa  (1,inf)
alfa=2;
minEntropia=inf;
u=0;
for t=0:255
    mb=sum((x<=t).*x.*counts)/sum((x<=t).*counts);
    mo=sum((x>t).*x.*counts)/sum((x>t).*counts);

    Q(1:t+1)=1-(0.5*abs((x(1:t+1)/255).^1/2-(mb/255)^1/2));
    Q(t+2:256)=1-(0.5*abs((x(t+2:256)/255).^1/2-(mo/255)^1/2));

    Ml(1:256)=Q.^alfa;
    Mu(1:256)=Q.^(1/alfa);
    M=Mu-Ml;

    Entr=sum(counts.*M')/sum(counts);
    if isnan(Entr)
        Entr=Inf;
    end
    if Entr<minEntropia,
        u=t;
        minEntropia=Entr;
    end  
end
[f,c]=size(img);
seg=zeros(f,c);
seg(img<=u)=1;
seg(img>u)=2;
imshow(seg,[1,2]);
end
