function [seg,t1,t2]=Tizhoosh2(img)
%Para imagenes segmentadas en tres zonas
%PARAMETROS DE ENTRADA
%   img: imagen 
%PARAMETROS DE SALIDA
%   seg:imagen segmentada
%   t1 y t2 umbrlaes

[counts,x]=imhist(img);
%Take alfa  (1,inf)
alfa=2;
minEntropia=inf;
m=[];
for ti=0:255
    for tj=ti+1:255
        m(1)=sum((x<=ti).*x.*counts)/sum((x<=ti).*counts);
        m(2)=sum(((x>ti) & (x<=tj)).*x.*counts)/sum(((x>ti) & (x<=tj)).*counts);
        m(3)=sum((x>tj).*x.*counts)/sum((x>tj).*counts);
        
        Q(1:ti+1)=1-(0.5*abs((x(1:ti+1)/255).^2-(m(1)/255)^2));
        Q(ti+2:tj+1)=1-(0.5*abs((x(ti+2:tj+1)/255).^2-(m(2)/255)^2));
        Q(tj+2:256)=1-(0.5*abs((x(tj+2:256)/255).^2-(m(3)/255)^2));

        Ml(1:256)=Q.^alfa;
        Mu(1:256)=Q.^(1/alfa);
        M=Mu-Ml;

        Entr=sum(counts.*M')/sum(counts);
        if isnan(Entr)
            Entr=Inf;
        end
        if Entr<minEntropia,
            t1=ti;
            t2=tj;
            minEntropia=Entr;
        end  
    end
end
[f,c]=size(img);
seg=zeros(f,c);
seg(img<=t1)=1;
seg(img>t1 & img<=t2)=2;
seg(img>t2)=3;
imshow(seg,[1,3]);
end